// +build go1.9

// Copyright 2018 Microsoft Corporation
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

// This code was auto-generated by:
// github.com/Azure/azure-sdk-for-go/tools/profileBuilder

package automation

import original "github.com/Azure/azure-sdk-for-go/services/preview/automation/mgmt/2018-06-30-preview/automation"

type AccountClient = original.AccountClient
type ActivityClient = original.ActivityClient
type AgentRegistrationInformationClient = original.AgentRegistrationInformationClient
type CertificateClient = original.CertificateClient

const (
	DefaultBaseURI = original.DefaultBaseURI
)

type BaseClient = original.BaseClient
type ConnectionClient = original.ConnectionClient
type ConnectionTypeClient = original.ConnectionTypeClient
type CredentialClient = original.CredentialClient
type DscCompilationJobClient = original.DscCompilationJobClient
type DscCompilationJobStreamClient = original.DscCompilationJobStreamClient
type DscConfigurationClient = original.DscConfigurationClient
type DscNodeClient = original.DscNodeClient
type DscNodeConfigurationClient = original.DscNodeConfigurationClient
type FieldsClient = original.FieldsClient
type HybridRunbookWorkerGroupClient = original.HybridRunbookWorkerGroupClient
type JobClient = original.JobClient
type JobScheduleClient = original.JobScheduleClient
type JobStreamClient = original.JobStreamClient
type KeysClient = original.KeysClient
type LinkedWorkspaceClient = original.LinkedWorkspaceClient
type AccountState = original.AccountState

const (
	Ok          AccountState = original.Ok
	Suspended   AccountState = original.Suspended
	Unavailable AccountState = original.Unavailable
)

type AgentRegistrationKeyName = original.AgentRegistrationKeyName

const (
	Primary   AgentRegistrationKeyName = original.Primary
	Secondary AgentRegistrationKeyName = original.Secondary
)

type ContentSourceType = original.ContentSourceType

const (
	EmbeddedContent ContentSourceType = original.EmbeddedContent
	URI             ContentSourceType = original.URI
)

type CountType = original.CountType

const (
	Nodeconfiguration CountType = original.Nodeconfiguration
	Status            CountType = original.Status
)

type DscConfigurationProvisioningState = original.DscConfigurationProvisioningState

const (
	Succeeded DscConfigurationProvisioningState = original.Succeeded
)

type DscConfigurationState = original.DscConfigurationState

const (
	DscConfigurationStateEdit      DscConfigurationState = original.DscConfigurationStateEdit
	DscConfigurationStateNew       DscConfigurationState = original.DscConfigurationStateNew
	DscConfigurationStatePublished DscConfigurationState = original.DscConfigurationStatePublished
)

type GroupTypeEnum = original.GroupTypeEnum

const (
	System GroupTypeEnum = original.System
	User   GroupTypeEnum = original.User
)

type HTTPStatusCode = original.HTTPStatusCode

const (
	Accepted                     HTTPStatusCode = original.Accepted
	Ambiguous                    HTTPStatusCode = original.Ambiguous
	BadGateway                   HTTPStatusCode = original.BadGateway
	BadRequest                   HTTPStatusCode = original.BadRequest
	Conflict                     HTTPStatusCode = original.Conflict
	Continue                     HTTPStatusCode = original.Continue
	Created                      HTTPStatusCode = original.Created
	ExpectationFailed            HTTPStatusCode = original.ExpectationFailed
	Forbidden                    HTTPStatusCode = original.Forbidden
	Found                        HTTPStatusCode = original.Found
	GatewayTimeout               HTTPStatusCode = original.GatewayTimeout
	Gone                         HTTPStatusCode = original.Gone
	HTTPVersionNotSupported      HTTPStatusCode = original.HTTPVersionNotSupported
	InternalServerError          HTTPStatusCode = original.InternalServerError
	LengthRequired               HTTPStatusCode = original.LengthRequired
	MethodNotAllowed             HTTPStatusCode = original.MethodNotAllowed
	Moved                        HTTPStatusCode = original.Moved
	MovedPermanently             HTTPStatusCode = original.MovedPermanently
	MultipleChoices              HTTPStatusCode = original.MultipleChoices
	NoContent                    HTTPStatusCode = original.NoContent
	NonAuthoritativeInformation  HTTPStatusCode = original.NonAuthoritativeInformation
	NotAcceptable                HTTPStatusCode = original.NotAcceptable
	NotFound                     HTTPStatusCode = original.NotFound
	NotImplemented               HTTPStatusCode = original.NotImplemented
	NotModified                  HTTPStatusCode = original.NotModified
	OK                           HTTPStatusCode = original.OK
	PartialContent               HTTPStatusCode = original.PartialContent
	PaymentRequired              HTTPStatusCode = original.PaymentRequired
	PreconditionFailed           HTTPStatusCode = original.PreconditionFailed
	ProxyAuthenticationRequired  HTTPStatusCode = original.ProxyAuthenticationRequired
	Redirect                     HTTPStatusCode = original.Redirect
	RedirectKeepVerb             HTTPStatusCode = original.RedirectKeepVerb
	RedirectMethod               HTTPStatusCode = original.RedirectMethod
	RequestedRangeNotSatisfiable HTTPStatusCode = original.RequestedRangeNotSatisfiable
	RequestEntityTooLarge        HTTPStatusCode = original.RequestEntityTooLarge
	RequestTimeout               HTTPStatusCode = original.RequestTimeout
	RequestURITooLong            HTTPStatusCode = original.RequestURITooLong
	ResetContent                 HTTPStatusCode = original.ResetContent
	SeeOther                     HTTPStatusCode = original.SeeOther
	ServiceUnavailable           HTTPStatusCode = original.ServiceUnavailable
	SwitchingProtocols           HTTPStatusCode = original.SwitchingProtocols
	TemporaryRedirect            HTTPStatusCode = original.TemporaryRedirect
	Unauthorized                 HTTPStatusCode = original.Unauthorized
	UnsupportedMediaType         HTTPStatusCode = original.UnsupportedMediaType
	Unused                       HTTPStatusCode = original.Unused
	UpgradeRequired              HTTPStatusCode = original.UpgradeRequired
	UseProxy                     HTTPStatusCode = original.UseProxy
)

type JobProvisioningState = original.JobProvisioningState

const (
	JobProvisioningStateFailed     JobProvisioningState = original.JobProvisioningStateFailed
	JobProvisioningStateProcessing JobProvisioningState = original.JobProvisioningStateProcessing
	JobProvisioningStateSucceeded  JobProvisioningState = original.JobProvisioningStateSucceeded
	JobProvisioningStateSuspended  JobProvisioningState = original.JobProvisioningStateSuspended
)

type JobStatus = original.JobStatus

const (
	JobStatusActivating   JobStatus = original.JobStatusActivating
	JobStatusBlocked      JobStatus = original.JobStatusBlocked
	JobStatusCompleted    JobStatus = original.JobStatusCompleted
	JobStatusDisconnected JobStatus = original.JobStatusDisconnected
	JobStatusFailed       JobStatus = original.JobStatusFailed
	JobStatusNew          JobStatus = original.JobStatusNew
	JobStatusRemoving     JobStatus = original.JobStatusRemoving
	JobStatusResuming     JobStatus = original.JobStatusResuming
	JobStatusRunning      JobStatus = original.JobStatusRunning
	JobStatusStopped      JobStatus = original.JobStatusStopped
	JobStatusStopping     JobStatus = original.JobStatusStopping
	JobStatusSuspended    JobStatus = original.JobStatusSuspended
	JobStatusSuspending   JobStatus = original.JobStatusSuspending
)

type JobStreamType = original.JobStreamType

const (
	Any      JobStreamType = original.Any
	Debug    JobStreamType = original.Debug
	Error    JobStreamType = original.Error
	Output   JobStreamType = original.Output
	Progress JobStreamType = original.Progress
	Verbose  JobStreamType = original.Verbose
	Warning  JobStreamType = original.Warning
)

type KeyName = original.KeyName

const (
	KeyNamePrimary   KeyName = original.KeyNamePrimary
	KeyNameSecondary KeyName = original.KeyNameSecondary
)

type KeyPermissions = original.KeyPermissions

const (
	Full KeyPermissions = original.Full
	Read KeyPermissions = original.Read
)

type LinuxUpdateClasses = original.LinuxUpdateClasses

const (
	Critical     LinuxUpdateClasses = original.Critical
	Other        LinuxUpdateClasses = original.Other
	Security     LinuxUpdateClasses = original.Security
	Unclassified LinuxUpdateClasses = original.Unclassified
)

type ModuleProvisioningState = original.ModuleProvisioningState

const (
	ModuleProvisioningStateActivitiesStored            ModuleProvisioningState = original.ModuleProvisioningStateActivitiesStored
	ModuleProvisioningStateCancelled                   ModuleProvisioningState = original.ModuleProvisioningStateCancelled
	ModuleProvisioningStateConnectionTypeImported      ModuleProvisioningState = original.ModuleProvisioningStateConnectionTypeImported
	ModuleProvisioningStateContentDownloaded           ModuleProvisioningState = original.ModuleProvisioningStateContentDownloaded
	ModuleProvisioningStateContentRetrieved            ModuleProvisioningState = original.ModuleProvisioningStateContentRetrieved
	ModuleProvisioningStateContentStored               ModuleProvisioningState = original.ModuleProvisioningStateContentStored
	ModuleProvisioningStateContentValidated            ModuleProvisioningState = original.ModuleProvisioningStateContentValidated
	ModuleProvisioningStateCreated                     ModuleProvisioningState = original.ModuleProvisioningStateCreated
	ModuleProvisioningStateCreating                    ModuleProvisioningState = original.ModuleProvisioningStateCreating
	ModuleProvisioningStateFailed                      ModuleProvisioningState = original.ModuleProvisioningStateFailed
	ModuleProvisioningStateModuleDataStored            ModuleProvisioningState = original.ModuleProvisioningStateModuleDataStored
	ModuleProvisioningStateModuleImportRunbookComplete ModuleProvisioningState = original.ModuleProvisioningStateModuleImportRunbookComplete
	ModuleProvisioningStateRunningImportModuleRunbook  ModuleProvisioningState = original.ModuleProvisioningStateRunningImportModuleRunbook
	ModuleProvisioningStateStartingImportModuleRunbook ModuleProvisioningState = original.ModuleProvisioningStateStartingImportModuleRunbook
	ModuleProvisioningStateSucceeded                   ModuleProvisioningState = original.ModuleProvisioningStateSucceeded
	ModuleProvisioningStateUpdating                    ModuleProvisioningState = original.ModuleProvisioningStateUpdating
)

type OperatingSystemType = original.OperatingSystemType

const (
	Linux   OperatingSystemType = original.Linux
	Windows OperatingSystemType = original.Windows
)

type ProvisioningState = original.ProvisioningState

const (
	Completed ProvisioningState = original.Completed
	Failed    ProvisioningState = original.Failed
	Running   ProvisioningState = original.Running
)

type RunbookProvisioningState = original.RunbookProvisioningState

const (
	RunbookProvisioningStateSucceeded RunbookProvisioningState = original.RunbookProvisioningStateSucceeded
)

type RunbookState = original.RunbookState

const (
	RunbookStateEdit      RunbookState = original.RunbookStateEdit
	RunbookStateNew       RunbookState = original.RunbookStateNew
	RunbookStatePublished RunbookState = original.RunbookStatePublished
)

type RunbookTypeEnum = original.RunbookTypeEnum

const (
	Graph                   RunbookTypeEnum = original.Graph
	GraphPowerShell         RunbookTypeEnum = original.GraphPowerShell
	GraphPowerShellWorkflow RunbookTypeEnum = original.GraphPowerShellWorkflow
	PowerShell              RunbookTypeEnum = original.PowerShell
	PowerShellWorkflow      RunbookTypeEnum = original.PowerShellWorkflow
	Script                  RunbookTypeEnum = original.Script
)

type ScheduleDay = original.ScheduleDay

const (
	Friday    ScheduleDay = original.Friday
	Monday    ScheduleDay = original.Monday
	Saturday  ScheduleDay = original.Saturday
	Sunday    ScheduleDay = original.Sunday
	Thursday  ScheduleDay = original.Thursday
	Tuesday   ScheduleDay = original.Tuesday
	Wednesday ScheduleDay = original.Wednesday
)

type ScheduleFrequency = original.ScheduleFrequency

const (
	Day     ScheduleFrequency = original.Day
	Hour    ScheduleFrequency = original.Hour
	Month   ScheduleFrequency = original.Month
	OneTime ScheduleFrequency = original.OneTime
	Week    ScheduleFrequency = original.Week
)

type SkuNameEnum = original.SkuNameEnum

const (
	Basic SkuNameEnum = original.Basic
	Free  SkuNameEnum = original.Free
)

type SourceType = original.SourceType

const (
	GitHub  SourceType = original.GitHub
	VsoGit  SourceType = original.VsoGit
	VsoTfvc SourceType = original.VsoTfvc
)

type StreamType = original.StreamType

const (
	StreamTypeError  StreamType = original.StreamTypeError
	StreamTypeOutput StreamType = original.StreamTypeOutput
)

type SyncType = original.SyncType

const (
	FullSync    SyncType = original.FullSync
	PartialSync SyncType = original.PartialSync
)

type TagOperators = original.TagOperators

const (
	TagOperatorsAll TagOperators = original.TagOperatorsAll
	TagOperatorsAny TagOperators = original.TagOperatorsAny
)

type TokenType = original.TokenType

const (
	Oauth               TokenType = original.Oauth
	PersonalAccessToken TokenType = original.PersonalAccessToken
)

type WindowsUpdateClasses = original.WindowsUpdateClasses

const (
	WindowsUpdateClassesCritical     WindowsUpdateClasses = original.WindowsUpdateClassesCritical
	WindowsUpdateClassesDefinition   WindowsUpdateClasses = original.WindowsUpdateClassesDefinition
	WindowsUpdateClassesFeaturePack  WindowsUpdateClasses = original.WindowsUpdateClassesFeaturePack
	WindowsUpdateClassesSecurity     WindowsUpdateClasses = original.WindowsUpdateClassesSecurity
	WindowsUpdateClassesServicePack  WindowsUpdateClasses = original.WindowsUpdateClassesServicePack
	WindowsUpdateClassesTools        WindowsUpdateClasses = original.WindowsUpdateClassesTools
	WindowsUpdateClassesUnclassified WindowsUpdateClasses = original.WindowsUpdateClassesUnclassified
	WindowsUpdateClassesUpdateRollup WindowsUpdateClasses = original.WindowsUpdateClassesUpdateRollup
	WindowsUpdateClassesUpdates      WindowsUpdateClasses = original.WindowsUpdateClassesUpdates
)

type Account = original.Account
type AccountCreateOrUpdateParameters = original.AccountCreateOrUpdateParameters
type AccountCreateOrUpdateProperties = original.AccountCreateOrUpdateProperties
type AccountListResult = original.AccountListResult
type AccountListResultIterator = original.AccountListResultIterator
type AccountListResultPage = original.AccountListResultPage
type AccountProperties = original.AccountProperties
type AccountUpdateParameters = original.AccountUpdateParameters
type AccountUpdateProperties = original.AccountUpdateProperties
type Activity = original.Activity
type ActivityListResult = original.ActivityListResult
type ActivityListResultIterator = original.ActivityListResultIterator
type ActivityListResultPage = original.ActivityListResultPage
type ActivityOutputType = original.ActivityOutputType
type ActivityParameter = original.ActivityParameter
type ActivityParameterSet = original.ActivityParameterSet
type ActivityParameterValidationSet = original.ActivityParameterValidationSet
type ActivityProperties = original.ActivityProperties
type AdvancedSchedule = original.AdvancedSchedule
type AdvancedScheduleMonthlyOccurrence = original.AdvancedScheduleMonthlyOccurrence
type AgentRegistration = original.AgentRegistration
type AgentRegistrationKeys = original.AgentRegistrationKeys
type AgentRegistrationRegenerateKeyParameter = original.AgentRegistrationRegenerateKeyParameter
type AzureQueryProperties = original.AzureQueryProperties
type Certificate = original.Certificate
type CertificateCreateOrUpdateParameters = original.CertificateCreateOrUpdateParameters
type CertificateCreateOrUpdateProperties = original.CertificateCreateOrUpdateProperties
type CertificateListResult = original.CertificateListResult
type CertificateListResultIterator = original.CertificateListResultIterator
type CertificateListResultPage = original.CertificateListResultPage
type CertificateProperties = original.CertificateProperties
type CertificateUpdateParameters = original.CertificateUpdateParameters
type CertificateUpdateProperties = original.CertificateUpdateProperties
type CollectionItemUpdateConfiguration = original.CollectionItemUpdateConfiguration
type Connection = original.Connection
type ConnectionCreateOrUpdateParameters = original.ConnectionCreateOrUpdateParameters
type ConnectionCreateOrUpdateProperties = original.ConnectionCreateOrUpdateProperties
type ConnectionListResult = original.ConnectionListResult
type ConnectionListResultIterator = original.ConnectionListResultIterator
type ConnectionListResultPage = original.ConnectionListResultPage
type ConnectionProperties = original.ConnectionProperties
type ConnectionType = original.ConnectionType
type ConnectionTypeAssociationProperty = original.ConnectionTypeAssociationProperty
type ConnectionTypeCreateOrUpdateParameters = original.ConnectionTypeCreateOrUpdateParameters
type ConnectionTypeCreateOrUpdateProperties = original.ConnectionTypeCreateOrUpdateProperties
type ConnectionTypeListResult = original.ConnectionTypeListResult
type ConnectionTypeListResultIterator = original.ConnectionTypeListResultIterator
type ConnectionTypeListResultPage = original.ConnectionTypeListResultPage
type ConnectionTypeProperties = original.ConnectionTypeProperties
type ConnectionUpdateParameters = original.ConnectionUpdateParameters
type ConnectionUpdateProperties = original.ConnectionUpdateProperties
type ContentHash = original.ContentHash
type ContentLink = original.ContentLink
type ContentSource = original.ContentSource
type Credential = original.Credential
type CredentialCreateOrUpdateParameters = original.CredentialCreateOrUpdateParameters
type CredentialCreateOrUpdateProperties = original.CredentialCreateOrUpdateProperties
type CredentialListResult = original.CredentialListResult
type CredentialListResultIterator = original.CredentialListResultIterator
type CredentialListResultPage = original.CredentialListResultPage
type CredentialProperties = original.CredentialProperties
type CredentialUpdateParameters = original.CredentialUpdateParameters
type CredentialUpdateProperties = original.CredentialUpdateProperties
type DscCompilationJob = original.DscCompilationJob
type DscCompilationJobCreateFuture = original.DscCompilationJobCreateFuture
type DscCompilationJobCreateParameters = original.DscCompilationJobCreateParameters
type DscCompilationJobCreateProperties = original.DscCompilationJobCreateProperties
type DscCompilationJobListResult = original.DscCompilationJobListResult
type DscCompilationJobListResultIterator = original.DscCompilationJobListResultIterator
type DscCompilationJobListResultPage = original.DscCompilationJobListResultPage
type DscCompilationJobProperties = original.DscCompilationJobProperties
type DscConfiguration = original.DscConfiguration
type DscConfigurationAssociationProperty = original.DscConfigurationAssociationProperty
type DscConfigurationCreateOrUpdateParameters = original.DscConfigurationCreateOrUpdateParameters
type DscConfigurationCreateOrUpdateProperties = original.DscConfigurationCreateOrUpdateProperties
type DscConfigurationListResult = original.DscConfigurationListResult
type DscConfigurationListResultIterator = original.DscConfigurationListResultIterator
type DscConfigurationListResultPage = original.DscConfigurationListResultPage
type DscConfigurationParameter = original.DscConfigurationParameter
type DscConfigurationProperties = original.DscConfigurationProperties
type DscConfigurationUpdateParameters = original.DscConfigurationUpdateParameters
type DscMetaConfiguration = original.DscMetaConfiguration
type DscNode = original.DscNode
type DscNodeConfiguration = original.DscNodeConfiguration
type DscNodeConfigurationAssociationProperty = original.DscNodeConfigurationAssociationProperty
type DscNodeConfigurationCreateOrUpdateFuture = original.DscNodeConfigurationCreateOrUpdateFuture
type DscNodeConfigurationCreateOrUpdateParameters = original.DscNodeConfigurationCreateOrUpdateParameters
type DscNodeConfigurationCreateOrUpdateParametersProperties = original.DscNodeConfigurationCreateOrUpdateParametersProperties
type DscNodeConfigurationListResult = original.DscNodeConfigurationListResult
type DscNodeConfigurationListResultIterator = original.DscNodeConfigurationListResultIterator
type DscNodeConfigurationListResultPage = original.DscNodeConfigurationListResultPage
type DscNodeConfigurationProperties = original.DscNodeConfigurationProperties
type DscNodeExtensionHandlerAssociationProperty = original.DscNodeExtensionHandlerAssociationProperty
type DscNodeListResult = original.DscNodeListResult
type DscNodeListResultIterator = original.DscNodeListResultIterator
type DscNodeListResultPage = original.DscNodeListResultPage
type DscNodeProperties = original.DscNodeProperties
type DscNodeReport = original.DscNodeReport
type DscNodeReportListResult = original.DscNodeReportListResult
type DscNodeReportListResultIterator = original.DscNodeReportListResultIterator
type DscNodeReportListResultPage = original.DscNodeReportListResultPage
type DscNodeUpdateParameters = original.DscNodeUpdateParameters
type DscNodeUpdateParametersProperties = original.DscNodeUpdateParametersProperties
type DscReportError = original.DscReportError
type DscReportResource = original.DscReportResource
type DscReportResourceNavigation = original.DscReportResourceNavigation
type ErrorResponse = original.ErrorResponse
type FieldDefinition = original.FieldDefinition
type HybridRunbookWorker = original.HybridRunbookWorker
type HybridRunbookWorkerGroup = original.HybridRunbookWorkerGroup
type HybridRunbookWorkerGroupsListResult = original.HybridRunbookWorkerGroupsListResult
type HybridRunbookWorkerGroupsListResultIterator = original.HybridRunbookWorkerGroupsListResultIterator
type HybridRunbookWorkerGroupsListResultPage = original.HybridRunbookWorkerGroupsListResultPage
type HybridRunbookWorkerGroupUpdateParameters = original.HybridRunbookWorkerGroupUpdateParameters
type Job = original.Job
type JobCollectionItem = original.JobCollectionItem
type JobCollectionItemProperties = original.JobCollectionItemProperties
type JobCreateParameters = original.JobCreateParameters
type JobCreateProperties = original.JobCreateProperties
type JobListResultV2 = original.JobListResultV2
type JobListResultV2Iterator = original.JobListResultV2Iterator
type JobListResultV2Page = original.JobListResultV2Page
type JobNavigation = original.JobNavigation
type JobProperties = original.JobProperties
type JobSchedule = original.JobSchedule
type JobScheduleCreateParameters = original.JobScheduleCreateParameters
type JobScheduleCreateProperties = original.JobScheduleCreateProperties
type JobScheduleListResult = original.JobScheduleListResult
type JobScheduleListResultIterator = original.JobScheduleListResultIterator
type JobScheduleListResultPage = original.JobScheduleListResultPage
type JobScheduleProperties = original.JobScheduleProperties
type JobStream = original.JobStream
type JobStreamListResult = original.JobStreamListResult
type JobStreamListResultIterator = original.JobStreamListResultIterator
type JobStreamListResultPage = original.JobStreamListResultPage
type JobStreamProperties = original.JobStreamProperties
type Key = original.Key
type KeyListResult = original.KeyListResult
type LinkedWorkspace = original.LinkedWorkspace
type LinuxProperties = original.LinuxProperties
type Module = original.Module
type ModuleCreateOrUpdateParameters = original.ModuleCreateOrUpdateParameters
type ModuleCreateOrUpdateProperties = original.ModuleCreateOrUpdateProperties
type ModuleErrorInfo = original.ModuleErrorInfo
type ModuleListResult = original.ModuleListResult
type ModuleListResultIterator = original.ModuleListResultIterator
type ModuleListResultPage = original.ModuleListResultPage
type ModuleProperties = original.ModuleProperties
type ModuleUpdateParameters = original.ModuleUpdateParameters
type ModuleUpdateProperties = original.ModuleUpdateProperties
type NodeCount = original.NodeCount
type NodeCountProperties = original.NodeCountProperties
type NodeCounts = original.NodeCounts
type Operation = original.Operation
type OperationDisplay = original.OperationDisplay
type OperationListResult = original.OperationListResult
type ProxyResource = original.ProxyResource
type PythonPackageCreateParameters = original.PythonPackageCreateParameters
type PythonPackageCreateProperties = original.PythonPackageCreateProperties
type PythonPackageUpdateParameters = original.PythonPackageUpdateParameters
type ReadCloser = original.ReadCloser
type Resource = original.Resource
type RunAsCredentialAssociationProperty = original.RunAsCredentialAssociationProperty
type Runbook = original.Runbook
type RunbookAssociationProperty = original.RunbookAssociationProperty
type RunbookCreateOrUpdateDraftParameters = original.RunbookCreateOrUpdateDraftParameters
type RunbookCreateOrUpdateDraftProperties = original.RunbookCreateOrUpdateDraftProperties
type RunbookCreateOrUpdateParameters = original.RunbookCreateOrUpdateParameters
type RunbookCreateOrUpdateProperties = original.RunbookCreateOrUpdateProperties
type RunbookDraft = original.RunbookDraft
type RunbookDraftReplaceContentFuture = original.RunbookDraftReplaceContentFuture
type RunbookDraftUndoEditResult = original.RunbookDraftUndoEditResult
type RunbookListResult = original.RunbookListResult
type RunbookListResultIterator = original.RunbookListResultIterator
type RunbookListResultPage = original.RunbookListResultPage
type RunbookParameter = original.RunbookParameter
type RunbookProperties = original.RunbookProperties
type RunbookPublishFuture = original.RunbookPublishFuture
type RunbookUpdateParameters = original.RunbookUpdateParameters
type RunbookUpdateProperties = original.RunbookUpdateProperties
type Schedule = original.Schedule
type ScheduleAssociationProperty = original.ScheduleAssociationProperty
type ScheduleCreateOrUpdateParameters = original.ScheduleCreateOrUpdateParameters
type ScheduleCreateOrUpdateProperties = original.ScheduleCreateOrUpdateProperties
type ScheduleListResult = original.ScheduleListResult
type ScheduleListResultIterator = original.ScheduleListResultIterator
type ScheduleListResultPage = original.ScheduleListResultPage
type ScheduleProperties = original.ScheduleProperties
type ScheduleUpdateParameters = original.ScheduleUpdateParameters
type ScheduleUpdateProperties = original.ScheduleUpdateProperties
type SetObject = original.SetObject
type Sku = original.Sku
type SoftareUpdateConfigurationRunTaskProperties = original.SoftareUpdateConfigurationRunTaskProperties
type SoftareUpdateConfigurationRunTasks = original.SoftareUpdateConfigurationRunTasks
type SoftwareUpdateConfiguration = original.SoftwareUpdateConfiguration
type SoftwareUpdateConfigurationCollectionItem = original.SoftwareUpdateConfigurationCollectionItem
type SoftwareUpdateConfigurationCollectionItemProperties = original.SoftwareUpdateConfigurationCollectionItemProperties
type SoftwareUpdateConfigurationListResult = original.SoftwareUpdateConfigurationListResult
type SoftwareUpdateConfigurationMachineRun = original.SoftwareUpdateConfigurationMachineRun
type SoftwareUpdateConfigurationMachineRunListResult = original.SoftwareUpdateConfigurationMachineRunListResult
type SoftwareUpdateConfigurationProperties = original.SoftwareUpdateConfigurationProperties
type SoftwareUpdateConfigurationRun = original.SoftwareUpdateConfigurationRun
type SoftwareUpdateConfigurationRunListResult = original.SoftwareUpdateConfigurationRunListResult
type SoftwareUpdateConfigurationRunProperties = original.SoftwareUpdateConfigurationRunProperties
type SoftwareUpdateConfigurationTasks = original.SoftwareUpdateConfigurationTasks
type SourceControl = original.SourceControl
type SourceControlCreateOrUpdateParameters = original.SourceControlCreateOrUpdateParameters
type SourceControlCreateOrUpdateProperties = original.SourceControlCreateOrUpdateProperties
type SourceControlListResult = original.SourceControlListResult
type SourceControlListResultIterator = original.SourceControlListResultIterator
type SourceControlListResultPage = original.SourceControlListResultPage
type SourceControlProperties = original.SourceControlProperties
type SourceControlSecurityTokenProperties = original.SourceControlSecurityTokenProperties
type SourceControlSyncJob = original.SourceControlSyncJob
type SourceControlSyncJobByID = original.SourceControlSyncJobByID
type SourceControlSyncJobByIDProperties = original.SourceControlSyncJobByIDProperties
type SourceControlSyncJobCreateParameters = original.SourceControlSyncJobCreateParameters
type SourceControlSyncJobCreateProperties = original.SourceControlSyncJobCreateProperties
type SourceControlSyncJobListResult = original.SourceControlSyncJobListResult
type SourceControlSyncJobListResultIterator = original.SourceControlSyncJobListResultIterator
type SourceControlSyncJobListResultPage = original.SourceControlSyncJobListResultPage
type SourceControlSyncJobProperties = original.SourceControlSyncJobProperties
type SourceControlSyncJobStream = original.SourceControlSyncJobStream
type SourceControlSyncJobStreamByID = original.SourceControlSyncJobStreamByID
type SourceControlSyncJobStreamByIDProperties = original.SourceControlSyncJobStreamByIDProperties
type SourceControlSyncJobStreamProperties = original.SourceControlSyncJobStreamProperties
type SourceControlSyncJobStreamsListBySyncJob = original.SourceControlSyncJobStreamsListBySyncJob
type SourceControlSyncJobStreamsListBySyncJobIterator = original.SourceControlSyncJobStreamsListBySyncJobIterator
type SourceControlSyncJobStreamsListBySyncJobPage = original.SourceControlSyncJobStreamsListBySyncJobPage
type SourceControlUpdateParameters = original.SourceControlUpdateParameters
type SourceControlUpdateProperties = original.SourceControlUpdateProperties
type Statistics = original.Statistics
type StatisticsListResult = original.StatisticsListResult
type String = original.String
type TagSettingsProperties = original.TagSettingsProperties
type TargetProperties = original.TargetProperties
type TaskProperties = original.TaskProperties
type TestJob = original.TestJob
type TestJobCreateParameters = original.TestJobCreateParameters
type TrackedResource = original.TrackedResource
type TypeField = original.TypeField
type TypeFieldListResult = original.TypeFieldListResult
type UpdateConfiguration = original.UpdateConfiguration
type UpdateConfigurationMachineRunProperties = original.UpdateConfigurationMachineRunProperties
type UpdateConfigurationNavigation = original.UpdateConfigurationNavigation
type Usage = original.Usage
type UsageCounterName = original.UsageCounterName
type UsageListResult = original.UsageListResult
type Variable = original.Variable
type VariableCreateOrUpdateParameters = original.VariableCreateOrUpdateParameters
type VariableCreateOrUpdateProperties = original.VariableCreateOrUpdateProperties
type VariableListResult = original.VariableListResult
type VariableListResultIterator = original.VariableListResultIterator
type VariableListResultPage = original.VariableListResultPage
type VariableProperties = original.VariableProperties
type VariableUpdateParameters = original.VariableUpdateParameters
type VariableUpdateProperties = original.VariableUpdateProperties
type Watcher = original.Watcher
type WatcherListResult = original.WatcherListResult
type WatcherListResultIterator = original.WatcherListResultIterator
type WatcherListResultPage = original.WatcherListResultPage
type WatcherProperties = original.WatcherProperties
type WatcherUpdateParameters = original.WatcherUpdateParameters
type WatcherUpdateProperties = original.WatcherUpdateProperties
type Webhook = original.Webhook
type WebhookCreateOrUpdateParameters = original.WebhookCreateOrUpdateParameters
type WebhookCreateOrUpdateProperties = original.WebhookCreateOrUpdateProperties
type WebhookListResult = original.WebhookListResult
type WebhookListResultIterator = original.WebhookListResultIterator
type WebhookListResultPage = original.WebhookListResultPage
type WebhookProperties = original.WebhookProperties
type WebhookUpdateParameters = original.WebhookUpdateParameters
type WebhookUpdateProperties = original.WebhookUpdateProperties
type WindowsProperties = original.WindowsProperties
type ModuleClient = original.ModuleClient
type NodeCountInformationClient = original.NodeCountInformationClient
type NodeReportsClient = original.NodeReportsClient
type ObjectDataTypesClient = original.ObjectDataTypesClient
type OperationsClient = original.OperationsClient
type Python2PackageClient = original.Python2PackageClient
type RunbookClient = original.RunbookClient
type RunbookDraftClient = original.RunbookDraftClient
type ScheduleClient = original.ScheduleClient
type SoftwareUpdateConfigurationMachineRunsClient = original.SoftwareUpdateConfigurationMachineRunsClient
type SoftwareUpdateConfigurationRunsClient = original.SoftwareUpdateConfigurationRunsClient
type SoftwareUpdateConfigurationsClient = original.SoftwareUpdateConfigurationsClient
type SourceControlClient = original.SourceControlClient
type SourceControlSyncJobClient = original.SourceControlSyncJobClient
type SourceControlSyncJobStreamsClient = original.SourceControlSyncJobStreamsClient
type StatisticsClient = original.StatisticsClient
type TestJobClient = original.TestJobClient
type TestJobStreamsClient = original.TestJobStreamsClient
type UsagesClient = original.UsagesClient
type VariableClient = original.VariableClient
type WatcherClient = original.WatcherClient
type WebhookClient = original.WebhookClient

func NewAccountClient(subscriptionID string, countType1 CountType) AccountClient {
	return original.NewAccountClient(subscriptionID, countType1)
}
func NewAccountClientWithBaseURI(baseURI string, subscriptionID string, countType1 CountType) AccountClient {
	return original.NewAccountClientWithBaseURI(baseURI, subscriptionID, countType1)
}
func NewActivityClient(subscriptionID string, countType1 CountType) ActivityClient {
	return original.NewActivityClient(subscriptionID, countType1)
}
func NewActivityClientWithBaseURI(baseURI string, subscriptionID string, countType1 CountType) ActivityClient {
	return original.NewActivityClientWithBaseURI(baseURI, subscriptionID, countType1)
}
func NewAgentRegistrationInformationClient(subscriptionID string, countType1 CountType) AgentRegistrationInformationClient {
	return original.NewAgentRegistrationInformationClient(subscriptionID, countType1)
}
func NewAgentRegistrationInformationClientWithBaseURI(baseURI string, subscriptionID string, countType1 CountType) AgentRegistrationInformationClient {
	return original.NewAgentRegistrationInformationClientWithBaseURI(baseURI, subscriptionID, countType1)
}
func NewCertificateClient(subscriptionID string, countType1 CountType) CertificateClient {
	return original.NewCertificateClient(subscriptionID, countType1)
}
func NewCertificateClientWithBaseURI(baseURI string, subscriptionID string, countType1 CountType) CertificateClient {
	return original.NewCertificateClientWithBaseURI(baseURI, subscriptionID, countType1)
}
func New(subscriptionID string, countType1 CountType) BaseClient {
	return original.New(subscriptionID, countType1)
}
func NewWithBaseURI(baseURI string, subscriptionID string, countType1 CountType) BaseClient {
	return original.NewWithBaseURI(baseURI, subscriptionID, countType1)
}
func NewConnectionClient(subscriptionID string, countType1 CountType) ConnectionClient {
	return original.NewConnectionClient(subscriptionID, countType1)
}
func NewConnectionClientWithBaseURI(baseURI string, subscriptionID string, countType1 CountType) ConnectionClient {
	return original.NewConnectionClientWithBaseURI(baseURI, subscriptionID, countType1)
}
func NewConnectionTypeClient(subscriptionID string, countType1 CountType) ConnectionTypeClient {
	return original.NewConnectionTypeClient(subscriptionID, countType1)
}
func NewConnectionTypeClientWithBaseURI(baseURI string, subscriptionID string, countType1 CountType) ConnectionTypeClient {
	return original.NewConnectionTypeClientWithBaseURI(baseURI, subscriptionID, countType1)
}
func NewCredentialClient(subscriptionID string, countType1 CountType) CredentialClient {
	return original.NewCredentialClient(subscriptionID, countType1)
}
func NewCredentialClientWithBaseURI(baseURI string, subscriptionID string, countType1 CountType) CredentialClient {
	return original.NewCredentialClientWithBaseURI(baseURI, subscriptionID, countType1)
}
func NewDscCompilationJobClient(subscriptionID string, countType1 CountType) DscCompilationJobClient {
	return original.NewDscCompilationJobClient(subscriptionID, countType1)
}
func NewDscCompilationJobClientWithBaseURI(baseURI string, subscriptionID string, countType1 CountType) DscCompilationJobClient {
	return original.NewDscCompilationJobClientWithBaseURI(baseURI, subscriptionID, countType1)
}
func NewDscCompilationJobStreamClient(subscriptionID string, countType1 CountType) DscCompilationJobStreamClient {
	return original.NewDscCompilationJobStreamClient(subscriptionID, countType1)
}
func NewDscCompilationJobStreamClientWithBaseURI(baseURI string, subscriptionID string, countType1 CountType) DscCompilationJobStreamClient {
	return original.NewDscCompilationJobStreamClientWithBaseURI(baseURI, subscriptionID, countType1)
}
func NewDscConfigurationClient(subscriptionID string, countType1 CountType) DscConfigurationClient {
	return original.NewDscConfigurationClient(subscriptionID, countType1)
}
func NewDscConfigurationClientWithBaseURI(baseURI string, subscriptionID string, countType1 CountType) DscConfigurationClient {
	return original.NewDscConfigurationClientWithBaseURI(baseURI, subscriptionID, countType1)
}
func NewDscNodeClient(subscriptionID string, countType1 CountType) DscNodeClient {
	return original.NewDscNodeClient(subscriptionID, countType1)
}
func NewDscNodeClientWithBaseURI(baseURI string, subscriptionID string, countType1 CountType) DscNodeClient {
	return original.NewDscNodeClientWithBaseURI(baseURI, subscriptionID, countType1)
}
func NewDscNodeConfigurationClient(subscriptionID string, countType1 CountType) DscNodeConfigurationClient {
	return original.NewDscNodeConfigurationClient(subscriptionID, countType1)
}
func NewDscNodeConfigurationClientWithBaseURI(baseURI string, subscriptionID string, countType1 CountType) DscNodeConfigurationClient {
	return original.NewDscNodeConfigurationClientWithBaseURI(baseURI, subscriptionID, countType1)
}
func NewFieldsClient(subscriptionID string, countType1 CountType) FieldsClient {
	return original.NewFieldsClient(subscriptionID, countType1)
}
func NewFieldsClientWithBaseURI(baseURI string, subscriptionID string, countType1 CountType) FieldsClient {
	return original.NewFieldsClientWithBaseURI(baseURI, subscriptionID, countType1)
}
func NewHybridRunbookWorkerGroupClient(subscriptionID string, countType1 CountType) HybridRunbookWorkerGroupClient {
	return original.NewHybridRunbookWorkerGroupClient(subscriptionID, countType1)
}
func NewHybridRunbookWorkerGroupClientWithBaseURI(baseURI string, subscriptionID string, countType1 CountType) HybridRunbookWorkerGroupClient {
	return original.NewHybridRunbookWorkerGroupClientWithBaseURI(baseURI, subscriptionID, countType1)
}
func NewJobClient(subscriptionID string, countType1 CountType) JobClient {
	return original.NewJobClient(subscriptionID, countType1)
}
func NewJobClientWithBaseURI(baseURI string, subscriptionID string, countType1 CountType) JobClient {
	return original.NewJobClientWithBaseURI(baseURI, subscriptionID, countType1)
}
func NewJobScheduleClient(subscriptionID string, countType1 CountType) JobScheduleClient {
	return original.NewJobScheduleClient(subscriptionID, countType1)
}
func NewJobScheduleClientWithBaseURI(baseURI string, subscriptionID string, countType1 CountType) JobScheduleClient {
	return original.NewJobScheduleClientWithBaseURI(baseURI, subscriptionID, countType1)
}
func NewJobStreamClient(subscriptionID string, countType1 CountType) JobStreamClient {
	return original.NewJobStreamClient(subscriptionID, countType1)
}
func NewJobStreamClientWithBaseURI(baseURI string, subscriptionID string, countType1 CountType) JobStreamClient {
	return original.NewJobStreamClientWithBaseURI(baseURI, subscriptionID, countType1)
}
func NewKeysClient(subscriptionID string, countType1 CountType) KeysClient {
	return original.NewKeysClient(subscriptionID, countType1)
}
func NewKeysClientWithBaseURI(baseURI string, subscriptionID string, countType1 CountType) KeysClient {
	return original.NewKeysClientWithBaseURI(baseURI, subscriptionID, countType1)
}
func NewLinkedWorkspaceClient(subscriptionID string, countType1 CountType) LinkedWorkspaceClient {
	return original.NewLinkedWorkspaceClient(subscriptionID, countType1)
}
func NewLinkedWorkspaceClientWithBaseURI(baseURI string, subscriptionID string, countType1 CountType) LinkedWorkspaceClient {
	return original.NewLinkedWorkspaceClientWithBaseURI(baseURI, subscriptionID, countType1)
}
func PossibleAccountStateValues() []AccountState {
	return original.PossibleAccountStateValues()
}
func PossibleAgentRegistrationKeyNameValues() []AgentRegistrationKeyName {
	return original.PossibleAgentRegistrationKeyNameValues()
}
func PossibleContentSourceTypeValues() []ContentSourceType {
	return original.PossibleContentSourceTypeValues()
}
func PossibleCountTypeValues() []CountType {
	return original.PossibleCountTypeValues()
}
func PossibleDscConfigurationProvisioningStateValues() []DscConfigurationProvisioningState {
	return original.PossibleDscConfigurationProvisioningStateValues()
}
func PossibleDscConfigurationStateValues() []DscConfigurationState {
	return original.PossibleDscConfigurationStateValues()
}
func PossibleGroupTypeEnumValues() []GroupTypeEnum {
	return original.PossibleGroupTypeEnumValues()
}
func PossibleHTTPStatusCodeValues() []HTTPStatusCode {
	return original.PossibleHTTPStatusCodeValues()
}
func PossibleJobProvisioningStateValues() []JobProvisioningState {
	return original.PossibleJobProvisioningStateValues()
}
func PossibleJobStatusValues() []JobStatus {
	return original.PossibleJobStatusValues()
}
func PossibleJobStreamTypeValues() []JobStreamType {
	return original.PossibleJobStreamTypeValues()
}
func PossibleKeyNameValues() []KeyName {
	return original.PossibleKeyNameValues()
}
func PossibleKeyPermissionsValues() []KeyPermissions {
	return original.PossibleKeyPermissionsValues()
}
func PossibleLinuxUpdateClassesValues() []LinuxUpdateClasses {
	return original.PossibleLinuxUpdateClassesValues()
}
func PossibleModuleProvisioningStateValues() []ModuleProvisioningState {
	return original.PossibleModuleProvisioningStateValues()
}
func PossibleOperatingSystemTypeValues() []OperatingSystemType {
	return original.PossibleOperatingSystemTypeValues()
}
func PossibleProvisioningStateValues() []ProvisioningState {
	return original.PossibleProvisioningStateValues()
}
func PossibleRunbookProvisioningStateValues() []RunbookProvisioningState {
	return original.PossibleRunbookProvisioningStateValues()
}
func PossibleRunbookStateValues() []RunbookState {
	return original.PossibleRunbookStateValues()
}
func PossibleRunbookTypeEnumValues() []RunbookTypeEnum {
	return original.PossibleRunbookTypeEnumValues()
}
func PossibleScheduleDayValues() []ScheduleDay {
	return original.PossibleScheduleDayValues()
}
func PossibleScheduleFrequencyValues() []ScheduleFrequency {
	return original.PossibleScheduleFrequencyValues()
}
func PossibleSkuNameEnumValues() []SkuNameEnum {
	return original.PossibleSkuNameEnumValues()
}
func PossibleSourceTypeValues() []SourceType {
	return original.PossibleSourceTypeValues()
}
func PossibleStreamTypeValues() []StreamType {
	return original.PossibleStreamTypeValues()
}
func PossibleSyncTypeValues() []SyncType {
	return original.PossibleSyncTypeValues()
}
func PossibleTagOperatorsValues() []TagOperators {
	return original.PossibleTagOperatorsValues()
}
func PossibleTokenTypeValues() []TokenType {
	return original.PossibleTokenTypeValues()
}
func PossibleWindowsUpdateClassesValues() []WindowsUpdateClasses {
	return original.PossibleWindowsUpdateClassesValues()
}
func NewModuleClient(subscriptionID string, countType1 CountType) ModuleClient {
	return original.NewModuleClient(subscriptionID, countType1)
}
func NewModuleClientWithBaseURI(baseURI string, subscriptionID string, countType1 CountType) ModuleClient {
	return original.NewModuleClientWithBaseURI(baseURI, subscriptionID, countType1)
}
func NewNodeCountInformationClient(subscriptionID string, countType1 CountType) NodeCountInformationClient {
	return original.NewNodeCountInformationClient(subscriptionID, countType1)
}
func NewNodeCountInformationClientWithBaseURI(baseURI string, subscriptionID string, countType1 CountType) NodeCountInformationClient {
	return original.NewNodeCountInformationClientWithBaseURI(baseURI, subscriptionID, countType1)
}
func NewNodeReportsClient(subscriptionID string, countType1 CountType) NodeReportsClient {
	return original.NewNodeReportsClient(subscriptionID, countType1)
}
func NewNodeReportsClientWithBaseURI(baseURI string, subscriptionID string, countType1 CountType) NodeReportsClient {
	return original.NewNodeReportsClientWithBaseURI(baseURI, subscriptionID, countType1)
}
func NewObjectDataTypesClient(subscriptionID string, countType1 CountType) ObjectDataTypesClient {
	return original.NewObjectDataTypesClient(subscriptionID, countType1)
}
func NewObjectDataTypesClientWithBaseURI(baseURI string, subscriptionID string, countType1 CountType) ObjectDataTypesClient {
	return original.NewObjectDataTypesClientWithBaseURI(baseURI, subscriptionID, countType1)
}
func NewOperationsClient(subscriptionID string, countType1 CountType) OperationsClient {
	return original.NewOperationsClient(subscriptionID, countType1)
}
func NewOperationsClientWithBaseURI(baseURI string, subscriptionID string, countType1 CountType) OperationsClient {
	return original.NewOperationsClientWithBaseURI(baseURI, subscriptionID, countType1)
}
func NewPython2PackageClient(subscriptionID string, countType1 CountType) Python2PackageClient {
	return original.NewPython2PackageClient(subscriptionID, countType1)
}
func NewPython2PackageClientWithBaseURI(baseURI string, subscriptionID string, countType1 CountType) Python2PackageClient {
	return original.NewPython2PackageClientWithBaseURI(baseURI, subscriptionID, countType1)
}
func NewRunbookClient(subscriptionID string, countType1 CountType) RunbookClient {
	return original.NewRunbookClient(subscriptionID, countType1)
}
func NewRunbookClientWithBaseURI(baseURI string, subscriptionID string, countType1 CountType) RunbookClient {
	return original.NewRunbookClientWithBaseURI(baseURI, subscriptionID, countType1)
}
func NewRunbookDraftClient(subscriptionID string, countType1 CountType) RunbookDraftClient {
	return original.NewRunbookDraftClient(subscriptionID, countType1)
}
func NewRunbookDraftClientWithBaseURI(baseURI string, subscriptionID string, countType1 CountType) RunbookDraftClient {
	return original.NewRunbookDraftClientWithBaseURI(baseURI, subscriptionID, countType1)
}
func NewScheduleClient(subscriptionID string, countType1 CountType) ScheduleClient {
	return original.NewScheduleClient(subscriptionID, countType1)
}
func NewScheduleClientWithBaseURI(baseURI string, subscriptionID string, countType1 CountType) ScheduleClient {
	return original.NewScheduleClientWithBaseURI(baseURI, subscriptionID, countType1)
}
func NewSoftwareUpdateConfigurationMachineRunsClient(subscriptionID string, countType1 CountType) SoftwareUpdateConfigurationMachineRunsClient {
	return original.NewSoftwareUpdateConfigurationMachineRunsClient(subscriptionID, countType1)
}
func NewSoftwareUpdateConfigurationMachineRunsClientWithBaseURI(baseURI string, subscriptionID string, countType1 CountType) SoftwareUpdateConfigurationMachineRunsClient {
	return original.NewSoftwareUpdateConfigurationMachineRunsClientWithBaseURI(baseURI, subscriptionID, countType1)
}
func NewSoftwareUpdateConfigurationRunsClient(subscriptionID string, countType1 CountType) SoftwareUpdateConfigurationRunsClient {
	return original.NewSoftwareUpdateConfigurationRunsClient(subscriptionID, countType1)
}
func NewSoftwareUpdateConfigurationRunsClientWithBaseURI(baseURI string, subscriptionID string, countType1 CountType) SoftwareUpdateConfigurationRunsClient {
	return original.NewSoftwareUpdateConfigurationRunsClientWithBaseURI(baseURI, subscriptionID, countType1)
}
func NewSoftwareUpdateConfigurationsClient(subscriptionID string, countType1 CountType) SoftwareUpdateConfigurationsClient {
	return original.NewSoftwareUpdateConfigurationsClient(subscriptionID, countType1)
}
func NewSoftwareUpdateConfigurationsClientWithBaseURI(baseURI string, subscriptionID string, countType1 CountType) SoftwareUpdateConfigurationsClient {
	return original.NewSoftwareUpdateConfigurationsClientWithBaseURI(baseURI, subscriptionID, countType1)
}
func NewSourceControlClient(subscriptionID string, countType1 CountType) SourceControlClient {
	return original.NewSourceControlClient(subscriptionID, countType1)
}
func NewSourceControlClientWithBaseURI(baseURI string, subscriptionID string, countType1 CountType) SourceControlClient {
	return original.NewSourceControlClientWithBaseURI(baseURI, subscriptionID, countType1)
}
func NewSourceControlSyncJobClient(subscriptionID string, countType1 CountType) SourceControlSyncJobClient {
	return original.NewSourceControlSyncJobClient(subscriptionID, countType1)
}
func NewSourceControlSyncJobClientWithBaseURI(baseURI string, subscriptionID string, countType1 CountType) SourceControlSyncJobClient {
	return original.NewSourceControlSyncJobClientWithBaseURI(baseURI, subscriptionID, countType1)
}
func NewSourceControlSyncJobStreamsClient(subscriptionID string, countType1 CountType) SourceControlSyncJobStreamsClient {
	return original.NewSourceControlSyncJobStreamsClient(subscriptionID, countType1)
}
func NewSourceControlSyncJobStreamsClientWithBaseURI(baseURI string, subscriptionID string, countType1 CountType) SourceControlSyncJobStreamsClient {
	return original.NewSourceControlSyncJobStreamsClientWithBaseURI(baseURI, subscriptionID, countType1)
}
func NewStatisticsClient(subscriptionID string, countType1 CountType) StatisticsClient {
	return original.NewStatisticsClient(subscriptionID, countType1)
}
func NewStatisticsClientWithBaseURI(baseURI string, subscriptionID string, countType1 CountType) StatisticsClient {
	return original.NewStatisticsClientWithBaseURI(baseURI, subscriptionID, countType1)
}
func NewTestJobClient(subscriptionID string, countType1 CountType) TestJobClient {
	return original.NewTestJobClient(subscriptionID, countType1)
}
func NewTestJobClientWithBaseURI(baseURI string, subscriptionID string, countType1 CountType) TestJobClient {
	return original.NewTestJobClientWithBaseURI(baseURI, subscriptionID, countType1)
}
func NewTestJobStreamsClient(subscriptionID string, countType1 CountType) TestJobStreamsClient {
	return original.NewTestJobStreamsClient(subscriptionID, countType1)
}
func NewTestJobStreamsClientWithBaseURI(baseURI string, subscriptionID string, countType1 CountType) TestJobStreamsClient {
	return original.NewTestJobStreamsClientWithBaseURI(baseURI, subscriptionID, countType1)
}
func NewUsagesClient(subscriptionID string, countType1 CountType) UsagesClient {
	return original.NewUsagesClient(subscriptionID, countType1)
}
func NewUsagesClientWithBaseURI(baseURI string, subscriptionID string, countType1 CountType) UsagesClient {
	return original.NewUsagesClientWithBaseURI(baseURI, subscriptionID, countType1)
}
func NewVariableClient(subscriptionID string, countType1 CountType) VariableClient {
	return original.NewVariableClient(subscriptionID, countType1)
}
func NewVariableClientWithBaseURI(baseURI string, subscriptionID string, countType1 CountType) VariableClient {
	return original.NewVariableClientWithBaseURI(baseURI, subscriptionID, countType1)
}
func UserAgent() string {
	return original.UserAgent() + " profiles/preview"
}
func Version() string {
	return original.Version()
}
func NewWatcherClient(subscriptionID string, countType1 CountType) WatcherClient {
	return original.NewWatcherClient(subscriptionID, countType1)
}
func NewWatcherClientWithBaseURI(baseURI string, subscriptionID string, countType1 CountType) WatcherClient {
	return original.NewWatcherClientWithBaseURI(baseURI, subscriptionID, countType1)
}
func NewWebhookClient(subscriptionID string, countType1 CountType) WebhookClient {
	return original.NewWebhookClient(subscriptionID, countType1)
}
func NewWebhookClientWithBaseURI(baseURI string, subscriptionID string, countType1 CountType) WebhookClient {
	return original.NewWebhookClientWithBaseURI(baseURI, subscriptionID, countType1)
}
